POST api/NTCosCompany/UpdateExamCorporationPrice

Request Information

URI Parameters

None.

Body Parameters

ExamPriceCorporationDTO
NameDescriptionTypeAdditional information
Id

integer

None.

ExamName

string

String length: inclusive between 0 and 500

ExamId

string

String length: inclusive between 0 and 20

Price

decimal number

None.

AdjustmentType

integer

None.

Adjustment

decimal number

None.

FinalPrice

decimal number

None.

StartDate

date

None.

EndDate

date

None.

Todaydate

date

None.

CorporationCode

string

String length: inclusive between 0 and 20

CareOnSiteLocationId

integer

None.

CareOnSiteLocationIdExist

boolean

None.

Type

integer

None.

Status

integer

None.

isPrice

boolean

None.

IsFutureRecord

boolean

None.

Note

string

String length: inclusive between 0 and 500

CreatedUserFirstName

string

None.

CreatedUserLastName

string

String length: inclusive between 0 and 8000

CreatedUser

string

String length: inclusive between 0 and 8000

CreatedDate

date

None.

LastModifiedUserFirstName

string

String length: inclusive between 0 and 8000

LastModifiedUserLastName

string

String length: inclusive between 0 and 8000

LastModifiedUser

string

String length: inclusive between 0 and 8000

LastModifiedDate

date

None.

CreatedDateString

string

String length: inclusive between 0 and 8000

ModifiedDate

string

String length: inclusive between 0 and 8000

EndDateString

string

String length: inclusive between 0 and 8000

ValidFlag

boolean

None.

DateCreated

date

None.

DateUpdated

date

None.

UserIDCreated

integer

None.

UserIDUpdated

integer

None.

Request Formats

application/json, text/json

Sample:
{
  "Id": 1,
  "ExamName": "sample string 1",
  "ExamId": "sample string 2",
  "Price": 1.0,
  "AdjustmentType": 1,
  "Adjustment": 1.0,
  "FinalPrice": 1.0,
  "StartDate": "2026-08-04T14:30:37.4866405-07:00",
  "EndDate": "2026-08-04T14:30:37.4866405-07:00",
  "Todaydate": "2026-08-04T14:30:37.4866405-07:00",
  "CorporationCode": "sample string 3",
  "CareOnSiteLocationId": 1,
  "CareOnSiteLocationIdExist": true,
  "Type": 5,
  "Status": 6,
  "isPrice": true,
  "IsFutureRecord": true,
  "Note": "sample string 9",
  "CreatedUserFirstName": "sample string 10",
  "CreatedUserLastName": "sample string 11",
  "CreatedUser": "sample string 10 sample string 11",
  "CreatedDate": "2026-08-04T14:30:37.4866405-07:00",
  "LastModifiedUserFirstName": "sample string 12",
  "LastModifiedUserLastName": "sample string 13",
  "LastModifiedUser": "sample string 12 sample string 13",
  "LastModifiedDate": "2026-08-04T14:30:37.4866405-07:00",
  "CreatedDateString": "sample string 14",
  "ModifiedDate": "sample string 15",
  "EndDateString": "sample string 16",
  "ValidFlag": true,
  "DateCreated": "2026-08-04T14:30:37.4866405-07:00",
  "DateUpdated": "2026-08-04T14:30:37.4866405-07:00",
  "UserIDCreated": 20,
  "UserIDUpdated": 21
}

application/x-www-form-urlencoded

Sample:

Sample not available.

Response Information

Resource Description

AsapResponseOfExamPriceCorporationDTO
NameDescriptionTypeAdditional information
isSuccess

boolean

None.

message

string

None.

jsonObj

ExamPriceCorporationDTO

None.

totalCount

integer

None.

Response Formats

application/json, text/json

Sample:
{
  "isSuccess": true,
  "message": "sample string 2",
  "jsonObj": {
    "Id": 1,
    "ExamName": "sample string 1",
    "ExamId": "sample string 2",
    "Price": 1.0,
    "AdjustmentType": 1,
    "Adjustment": 1.0,
    "FinalPrice": 1.0,
    "StartDate": "2026-08-04T14:30:37.4866405-07:00",
    "EndDate": "2026-08-04T14:30:37.4866405-07:00",
    "Todaydate": "2026-08-04T14:30:37.4866405-07:00",
    "CorporationCode": "sample string 3",
    "CareOnSiteLocationId": 1,
    "CareOnSiteLocationIdExist": true,
    "Type": 5,
    "Status": 6,
    "isPrice": true,
    "IsFutureRecord": true,
    "Note": "sample string 9",
    "CreatedUserFirstName": "sample string 10",
    "CreatedUserLastName": "sample string 11",
    "CreatedUser": "sample string 10 sample string 11",
    "CreatedDate": "2026-08-04T14:30:37.4866405-07:00",
    "LastModifiedUserFirstName": "sample string 12",
    "LastModifiedUserLastName": "sample string 13",
    "LastModifiedUser": "sample string 12 sample string 13",
    "LastModifiedDate": "2026-08-04T14:30:37.4866405-07:00",
    "CreatedDateString": "sample string 14",
    "ModifiedDate": "sample string 15",
    "EndDateString": "sample string 16",
    "ValidFlag": true,
    "DateCreated": "2026-08-04T14:30:37.4866405-07:00",
    "DateUpdated": "2026-08-04T14:30:37.4866405-07:00",
    "UserIDCreated": 20,
    "UserIDUpdated": 21
  },
  "totalCount": 3
}